/*
    Solutie O(n*vmax)
    Programare dinamica
    prof. Constantin Galatan
*/
//
#include <fstream>
#include <bitset>
#include <vector>
#include <algorithm>

std::ifstream fin("ecluze.in");
std::ofstream fout("ecluze.out");

const int MaxT = 1001, Inf = 0x3f3f3f3f;
int nr[2][MaxT];
int n, c, p;
std::vector<int> V, b, cnt;

void Dyn();
void Read();

int main()
{
	Read();

	Dyn();
	int ans = Inf;
	for (const int& v : V)
		ans = std::min(ans, nr[p][v]);

	fout << ans << '\n';

	fin.close();
	fout.close();
}

bool got[MaxT];

void Dyn()
{
	V.push_back(b[0]);
	got[b[0]] = true;
	c = 1, p  = 0;
	for (int i(1), x(0); i < n; ++i, c = !c, p = !p)
	{
		x = b[i]; nr[c][x] = Inf;
		for (const int& v : V)
			if ( v == x)
				nr[c][v] = std::min(nr[c][v], nr[p][v]);
			else
			{
				nr[c][v] = nr[p][v] + cnt[i] + 1;             // schimb valoarea la poz i
				nr[c][x] = std::min(nr[c][x], nr[p][v] + 1);  // sau valoarea la poz i - 1 daca e cazul
			}

		if ( !got[x] )
		{
			V.push_back(x);
			got[x] = true;
		}
	}
}

void Read()
{
	fin >> n;
	cnt = b = std::vector<int>(n);

	fin >> b[0];
	int k = 1;
	for (int i(1), x(0); i < n; ++i)
	{
		fin >> x;
		if (x != b[k - 1] )
			b[k++] = x;
		else
			cnt[k - 1]++;
	}

	b.resize(k); cnt.resize(k);
	n = b.size();

	fin.close();
}
